//
// BeeBEEP Help
//
// Author: Marco Mastroddi <marco.mastroddi(AT)gmail.com>
//
// Latest version: http://sourceforge.net/p/beebeep/code/HEAD/tree/BEEBEEP-HELP.txt
//
// $Id: BEEBEEP-HELP.txt 794 2016-11-07 09:04:02Z mastroddi $
//

/******** ATTENTION PLEASE!! **************/
/* EDIT THESE FILES ONLY WHEN BEEBEEP IS  */
/* CLOSED OR DATA MODIFIED WILL BE LOST   */
/******************************************/

/***************************/
/***  FILE: beebeep.rc   ***/
/***************************/

[BeeBEEP]
EnableSaveData =[true/false] if disabled BeeBEEP doesn't save data at exit. It is useful if you want to share a computer with same user account and change nickname everytime (default=true) [3.0.4]
UseConfigurationFileIni=[true/false] the program will read and save setting in a beebeep.ini if it is set to true otherwise the settings are saved in OS registry (default=true) [1.0.0]
BroadcastOnlyToHostsIni=[true/false] if true BeeBEEP will search other users only in the IP addresses or Subnet listed in file beehost.ini (default=false) [1.0.0]
BroadcastPort= is the UDP port used by BeeBEEP to contact other client in the local area network (default 36475)
DefaultListenerPort= is the TCP port used by BeeBEEP to send chat message to the connected users (default 6475) [1.0.0]
DefaultFileTransferPort= is the TCP port used by BeeBEEP to send file to the connected users (default 6476) [1.0.0]
SaveDataInDocumentsFolder=[true/false] force BeeBEEP to save all data (settings and history) in USER/Documents/beebeep-data (in windows %userprofile%\Documents\beebeep-data) (default=false) [1.0.3]
SaveDataInUserApplicationFolder=[true/false] force BeeBEEP to save all data (settings and history) in USER_APP_DATA/beebeep-data (in windows %appdata%\beebeep-data) (default=false) [1.0.3]
AllowMultipleInstances=[true/false] enable the option to launch multiple instance of BeeBEEP (default=false) [1.0.0]
DataFolderPath=(String "") you can specify the path of BeeBEEP data. In that folder will be saved history and settings (if UseConfigurationFileIni is true). It overrules SaveDataInDocumentsFolder and AddAccountNameToDataFolder=[true/false] you can add account name to data folder. It is useful, for example, to store all BeeBEEP data in a single shared folder specified in DataFolderPath (default=false) [1.0.3]
UseMulticastDns=[true/false] if enabled BeeBEEP use Zero Configuration Networking ((default=true in macosx, default=false in others)
PreventMultipleConnectionsFromSingleHostAddress=[true/false] if enabled BeeBEEP blocks multiple connections from single IP address (default=true)
PreferredSubnets=(Strings "" comma separated) you can specify your subnets. BeeBEEP search your default IP address in these entries (for example ="10.184.9.255,10.184.15.255") (default="") [3.0.1]
UseIpv6=[true/false] enable Ipv6 protocol for connection (enable it if your network supports *only* IPv6... BeeBEEP works better in IPv4) (default=false)
MulticastGroupAddress=(String "" Host Address) if not empty MulticastGroup is added to Broadcaster (default="")
EnableChatWithAllUsers=[true/false] if enabled you can chat with all users connected by default (default=true)
UseHive=[true/false] enable HIVE protocol. BeeBEEPs tell each other their connected users (default=true) [3.0.4]
UseHostnameForDefaultUsername=[true/false] if enabled BeeBEEP uses hostname as default username at first startup (default=false) [3.0.6]
HideMainToolbar=[true/false] If enabled BeeBEEP hide the main toolbar at startup (default=false) [3.0.6]
HideChatToolbar=[true/false] If enabled BeeBEEP hide the chat toolbar startup (default=false) [3.0.6]
HideUsersPanel=[true/false] If enabled BeeBEEP hide users panel at startup (default=false) [3.0.6]
HideOtherPanels=[true/false] If enabled BeeBEEP hide all other panels at startup (default=false) [3.0.6]
DisableFileTransfer=[true/false] disable file transfer (default=false) [3.0.6]
DisableSendMessage=[true/false] disable send message. BeeBEEP becomes a read only messenger (default=false) [3.0.6]
UseEasyConnection=[true/false] BeeBEEP uses account name (if the nickname is not already set) and connects to the network with a standard session
                              (the same of AskNicknameAtStartup=false and UseDefaultPassword=true AskPasswordAtStartup=false in beebeep.ini file) (default=false) [3.0.6]
StartMinimized=[true/false] If enabled BeeBEEP starts minimized (can be overruled in beeebeep.ini) (default=false) [3.0.7]
Signature=[string] If not empty BeeBEEP uses it to generate network password (all BeeBEEP clients in your network must have the same signature) (auth=signature+encpwd) (default="") [3.0.8]
UseOnlyTextEmoticons=[true/false] If enabled BeeBEEP does not show the emoticon panel (default=false) [3.0.8]

[Groups]
TrustNickname= if true BeeBEEP trusts also in nickname to recognize a user when he or she reconnect (default=true) [1.0.0]
TrustSystemAccount= if true BeeBEEP trusts before system account to recognize a user. Useful if your are in active directory domain or similar (default=false) [1.0.0]


/***************************/
/***  FILE: beebeep.ini  ***/
/***************************/


[Version]
Program= BeeBEEP version major.minor.relese and build (b) and protocol (p)
Proto= protocol version
Settings= settings version
DataStream= serialized data stream  version
BeeBang= installation date or BeeBEEP first launch date

[Chat]
Font= font used in chat
FontColor= font color used in chat
DefaultChatBackgroundColor= background color in default chat window
CompactMessage= messages are displayed without a blank line from each other
AddNewLineAfterMessage=[true/false] add a blank line after a message displayed
ShowMessageTimestamp=[true/false] show message timestamp in the chat
ShowMessageDatestamp=[true/false] show message datestamp in the chat
BeepOnNewMessageArrived=[true/false] sound a beep when new message arrived (only if sound works) and the chat is not visible
BeepAlwaysOnNewMessageArrived=[true/false] always sound a beep when new message arrived (only if sound works)
UseHtmlTags=[true/false] if enabled BeeBEEP doesn't parse tags html. Useful if you have to copy and paste in chat some html code
UseClickableLinks=[true/false] enable link in chat message. So link clicked where opened by OS
MessageHistorySize= how many of your messages are stored by BeeBEEP. The message can be recalled by CTRL+UP o CTRL+DOWN arrow
ShowEmoticons=[true/false] show emoticon images in chat (only for text emojis)
ShowMessagesGroupByUsers=[true/false] show messaged grouped by user or repeat user for every message
AutoLinkSavedChatByNickname=[true/false] link the saved chat when nickname are equal
ShowSendMessageIcon=[true/false] show the icon for sending message
ShowOnlyMessagesInDefaultChat =[true/false] if enabled it will be showed only chat message, user info and history in the default chat (other messages in activity window)
MessageFilter= filter messages in chat window by its type (do not edit here)
UseKeyReturnToSendMessage=[true/false] enable key Return as shortcut to send a chat message
UseYourNameInsteadOfYou=[true/false] your name is showed before messages instead of "you" (default=false) [3.0.6]
ClearAllReadMessages=[true/false] clear all messages when you close chat window (default=false) [3.0.7]

[User]
LocalColor= your nickname color in chat
LocalLastStatus= your status (0 = Offline, 1 = Online, 2 = Busy, 3 = Away)
LocalLastStatusDescription= your status description
AutoAwayStatus=[true/false] set your status away when pc is in idle
UserAwayTimeout= how many minutes your pc must be in idle to set your status in away
UseDefaultPassword=[true/false] use default BeeBEEP password
AskNicknameAtStartup=[true/false] show nickname dialog at connection to BeeBEEP network (default=false) [3.0.5]
AskPasswordAtStartup=[true/false] show password dialog at connection to BeeBEEP network
MaxStatusInList=(10) maximum number of status used recently
SaveUsers=[true/false] save the user list (default=true) [1.0.0]

[VCard]
NickName= your nickname
FirstName= your first name
LastName= your last name
Birthday= your birthday
Email= your email
Photo= your photo
Phone= your phone numbers
Info= other informations about you

[Gui]
MainBarIconSize= Icon size of the tool bar
AvatarIconSize= Icon size of the avatar in user list
Language= language used
LastDirectorySelected=
DownloadDirectory=
LogPath=.
PluginPath=.
LocalePath=.
KeyEscapeMinimizeInTray=[true/false] Escape key will minimize BeeBEEP into the system tray
MinimizeInTray=[true/false] Close button will minimize BeeBEEP into the system tray
StayOnTop=[true/false]
BeepFilePath=beep.wav
RaiseOnNewMessageArrived=[true/false]
LoadOnTrayAtStartup=[true/false]
ShowNotificationOnTray=[true/false]
ShowChatMessageOnTray=[true/false] (default=false) [3.0.5]
TextSizeInChatMessagePreviewOnTray=[integer] (default=40) [3.0.5]
ChatSaveDirectory=.
ChatAutoSave=true
ChatMaxLineSaved=3000
MainWindowGeometry=(do not edit manually)
MainWindowState=(do not edit manually)
ChatSplitterState=(do not edit manually)
FloatingChatGeometry=(do not edit manually)
FloatingChatState=(do not edit manually)
FloatingChatSplitterState=(do not edit manually)
ShowHomeAsDefaultPage=[true/false] Show home page at start up (force user to click on available users to chat with them)
ShowTipsOfTheDay=[true/false]
ShowOnlyOnlineUsers=[true/false] show only online users in user list
ShowUserNameColor=[true/false] show nickname colored
ShowUserPhoto=[true/false] show user photo or avatar in user list
ShowVCardOnRightClick=[true/false] show vCard when you right click on a user in list
ResetGeometryAtStartup=[true/false] reset geometry at startup (useful if some widget has an inusual geometry)
ChatLinesToShow= number of lines to show in chat (working if the option below is enabled)
ChatMaxLinesToShow= force chat to show only X messages (increase usability)
ShowEmoticonMenu=[true/false] show the emoticon menu when the chat window is raised
EmoticonSizeInEdit= emoticon size in message edit window (default: 18)
EmoticonSizeInChat= emoticon size in chat windows (default: 24)
EmoticonSizeInMenu= emoticon size in menu (default: 24)
LoadMinimizedAtStartup= if enabled BeeBEEP is load minimized at startup
PromptOnCloseEvent=[true/false] enable it if you want to be asked on closing (it prompts only if BeeBEEP is connected)
ShowMinimizedAtStartup=[true/false] show minimized at start up
AlwaysOpenNewFloatingChat=[true/false] open always chat in a new floating window
ShowUserStatusBackgroundColor=[true/false] show background color for status in user list
UseShortcuts=[true/false] enable shortcuts in application
Shortcuts=(do not edit manually)
UseNativeDialogs=[true/false] enable native OS dialogs (in some case these native dialogs can be modal and cause connection timeout)
ShowHomeTimestamp=[true/false] (default=true) [3.0.5]
ShowHomeDatestamp=[true/false] (default=false) [3.0.5]
UsePreviewFileDialog=[true/false] (default=true only in windows, in other os false) [3.0.4]
PreviewFileDialogGeometry=(do not edit manually) [3.0.5]
PreviewFileDialogImageSize=[integer] (default=200) [3.0.5]
TextSizeInChatMessagePreviewOnTray=[integer] (default=40) [3.0.7]
ShowFileTransferCompletedOnTray=[true/false] (default=true) [3.0.7]
UserSortingMode=[integer] it defines the mode of users sorting (0=default) [3.0.8]
SortUsersAscending=[true/false] if not true the users are sorting in descending mode [3.0.8]
ShowPresetMessages=[true/false] if true the preset messages list is showed [3.0.8]
ShowChatTextInModeRTL=[true/false] if true the layout direction in chat is RTL (default=false) [3.0.8]

[Tools]
LogToFile=[true/false] enable file logging
UseSpellChecker=[true/false] enable spell checking on writing message
UseWordCompleter=[true/false] enable word completer on writing message
DictionaryPath=(String) path to dictionary. It is accepted only file with extension .dic
SearchForNewVersionAtStartup=[true/false] enable check for new version at BeeBEEP startup (default=false on win) [3.0.4]
PostUsageStatistics= [true/false] add +1 user to anonymous usage statistics (default=true) [3.0.5]
Uuid= [string] application UUID for anonymous statistics [3.0.5]

[Misc]
TickIntervalCheckIdle=10
TickIntervalCheckNetwork=7
TickIntervalBroadcasting=[integer] is the tick interval (seconds) from a broadcast and another (default is disabled=0) [3.0.8]
BroadcastInterval= is the interval from a broadcast and another (default is disabled=0) [obsolete 3.0.8+]
ListenerPort= is the last TCP port of chat communication between BeeBEEP (default is 6475)
ConnectionActivityTimeout=12000
WritingTimeout=3000
SystemTrayMessageTimeout=2000
ConnectionTimeout=5000
UseLowDelayOptionOnSocket=[true/false] Try to optimize the socket for low latency. For a QTcpSocket this would set the TCP_NODELAY option and disable Nagle's algorithm (default=false) [3.0.5]

[Network]
BroadcastAddresses=(do not edit manually)
LocalHostAddressForced= if BeeBEEP doesn't recognize your IP address automatically, you can set here your IP (useful if you have a lot of network configured)
LocalSubnetForced= if BeeBEEP doesn't recognize your subnet address automatically, you can set here your subnet (useful if you have a lot of network configured)
ParseBroadcastAddresses=[true/false] if true BeeBEEP splits subnet like 192.168.2.255 to a list of ip addresses from 192.168.2.1 to 192.168.2.254 [obsolete 3.0.8+]
ParseBroadcastAddressesAll=[true/false] if true BeeBEEP splits subnet (also local subnet) like 192.168.2.255 to a list of ip addresses from 192.168.2.1 to 192.168.2.254 [obsolete 3.0.8+]
AddExternalSubnetAutomatically=[true/false] if true BeeBEEP automatically add external user's subnet when they reach you [obsolete 3.0.8+]
UserPathList= users saved (do not edit manually)
AcceptConnectionsOnlyFromWorkgroups=[true/false] accepts connection only from members of your workgroups
Workgroups = workgroups saved (do not edit manually)
UseMulticastDns=[true/false] if enabled BeeBEEP use Zero Configuration Networking (it overwrites RC option) (default=true in macosx, default=false in others os)
AutoSearchUsersWhenListIsEmpty=[true/false] if enabled BeeBEEP search for users when there aren't users connected (default=true) [3.0.5] [obsolete 3.0.8+]

[FileShare]
FileTransferIsEnabled=[true/false] enable file transfer/sharing/box (default=true) [3.0.6]
UseShareBox=[true/false] enable share box (default=false) [3.0.7]
ShareBoxPath=[string] path of the box shared (default="") [3.0.7]
SetAutomaticFileName=[true/false] on saving downloaded file BeeBEEP, if a file with the same name exists, add a number at the end and save it
MaxSimultaneousDownloads= is the max number of simultaneous downloads in file transfer
MaxQueuedDownloads = is the max number of downloads can be selected in file sharing at once
MaxFileShared=32700
FileTransferConfirmTimeout=30000
FileTransferBufferSize=65456
ConfirmOnDownloadFile=[true/false] if it is true always prompt before downloading a file
ShareList=(do not edit manually)
